查询亚马逊源报表 - FBA订单
POST
/erp/sc/data/mws_report/fbaOrders查询 Amazon-Fulfilled Shipments Report 报表
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/data/mws_report/fbaOrders | HTTPS | POST | 1 |
请求参数
sidinteger必填date_typeintegerstart_datestring必填end_datestring必填offsetintegerlengthinteger请求示例
{
"sid": 109,
"date_type": 1,
"start_date": "2020-04-01",
"end_date": "2024-08-05",
"offset": 0,
"length": 1000
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataarray<object>必填隐藏子属性
amazon_order_idstring必填shipment_idstring必填shipment_item_idstring必填amazon_order_item_idstring必填purchase_datestring必填payments_datestring必填shipment_datestring必填reporting_datestring必填estimated_arrival_datestring必填skustring必填product_namestring必填quantity_shippednumber必填currencystring必填item_pricestring必填item_taxstring必填shipping_pricestring必填shipping_taxstring必填gift_wrap_pricestring必填gift_wrap_taxstring必填ship_service_levelstring必填item_promotion_discountstring必填ship_promotion_discountstring必填carrierstring必填tracking_numberstring必填fulfillment_channelstring必填points_grantedstring必填返回成功示例
{
"code": 0,
"data": [
{
"sku": "Pink_Head_Rope",
"currency": "USD",
"carrier": "USPS",
"amazon_order_id": "112-0065094-0449862",
"shipment_id": "TBb1Gwxz1",
"shipment_item_id": "DFJVVkwbH",
"amazon_order_item_id": "67486918672938",
"purchase_date": "2022-05-09T21:59:41+00:00",
"payments_date": "2022-05-10T06:05:32+00:00",
"shipment_date": "2022-05-10T06:05:32+00:00",
"reporting_date": "2022-05-10T09:05:39+00:00",
"estimated_arrival_date": "2022-05-12T03:00:00+00:00",
"product_name": "Love Pearl Bottom Hair Circle Women's High Elastic Hair Binding Rope Jewelry Rubber Band Head Rope Pink",
"quantity_shipped": 1,
"item_price": "1.00",
"item_tax": "0.00",
"shipping_price": "0.00",
"shipping_tax": "0.00",
"gift_wrap_price": "0.00",
"gift_wrap_tax": "0.00",
"ship_service_level": "Expedited",
"item_promotion_discount": "0.00",
"ship_promotion_discount": "0.00",
"tracking_number": "9374889705011506008135",
"fulfillment_channel": "AFN",
"points_granted": "",
"hide_time": "2022-05-09 23:05:32",
"buyer_email": "fbzdtkn3vgzftkk@marketplace.amazon.com",
"buyer_name": "",
"buyer_phone_number": "",
"recipient_name": "",
"ship_address_1": "",
"ship_city": "BARNHART",
"ship_state": "MO",
"ship_postal_code": "63012",
"ship_country": "US",
"ship_phone_number": ""
}
],
"total": 9,
"message": "操作成功",
"request_id": "acb13574cdd14cd287043fadb895894e.1722930272131",
"response_time": "2024-08-06 15:44:32",
"error_details": []
}